Subject: Re: Last Call: <draft-resnick-on-consensus-05.txt> (On Consensus and Humming in the IETF) to Informational RFC

From: Jari Arkko <[email-masked]>
Date: Fri, 1 Nov 2013 20:50:24 -0700

Ted, Pete,

>> That said, I do not think this document is ready for publication as an RFC, and I personally suspect that it wouldn't be the best fate for it even it were.  On the second point, the truth is that informational RFCs are treated as actual requests for comments much any more, but are taken as fixed; if the points this raises are to be maintained as items of conversation (which is my personal preference), then incorporating pieces of it into the Tao, Edu Team documents, or WG training may be appropriate instead.  That is, put this into some form where folks will not take it as an item of dogma, but as the start of a conversation, and the community will be better served.  Even as an Informational document, if it is published as an RFC by a sitting AD via the IETF stream, it may not get that treatment.
> 
> I will leave it to Jari and the other members of the IESG to make the call on this. However, I do think some of these points have solidified to the point that having a stable reference is good. I wouldn't object in principle to it being published in the the form of a web page a la the Tao, or some Edu Team documents, but I think having an Informational RFC does give it some wider viewing. I've already heard from people who, due to the Last Call, are looking at this document in other organizations and find the discussion useful and interesting. I also don't harbor the fears that Ted does about it being treated as dogma. It is true that people latch on to all sorts of things as dogma, but they already have plenty of them that disagree with the notions in this document, so the counterbalance doesn't seem so bad. But again, I only have a personal leaning at this point toward publication, and I'm inclined to leave it to Jari to make the call.

I am of course sensitive to concerns about the document not being ready. That needs to be addressed. And I hope Pete has gone a long way on that through this discussion and the new version that just got posted.

However, I wanted to respond to the general point about fixed dogmas and RFCs. My personal opinion is that it would be sad if we were unable to publish RFCs on important topics merely for the fear of treating them as unchangeable dogmas. And it is not clear to me that the Tao/Edu/WG training track is fundamentally different. To begin with, if we do not agree on Pete's thoughts they probably should not make themselves to the Tao; and if we do, describing them in the Tao etc but not as RFC seems odd.

So I am strongly in favour of being direct about the message we have, and to me that includes publishing an RFC. And that RFC needs to have the right words in it to explain its status as a starting point and not a dogma. I'd suggest we look at Pete's Section 1 that he recently modified. Does it set the tone adequately?

Jari